> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get billing plan details

GET https://demo.docusign.net/restapi/v2/billing_plans/{billingPlanId}

Retrieves the billing plan details for the specified billing plan ID.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/billing/billingplans/get

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `billingPlanId` (string, required) — The ID of the billing plan being accessed.

## Response

### 200

Successful response.

- `billingPlan` (billingPlan, optional) — Contains information about a billing plan.
- `successorPlans` (list of billingPlan, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### billingPlan

Contains information about a billing plan.

- `appStoreProducts` (list of appStoreProduct, optional) — Reserved: TBD
- `currencyPlanPrices` (list of currencyPlanPrice, optional) — Contains the currencyCode and currencySymbol for the alternate currency values for envelopeFee, fixedFee, and seatFee that are configured for this plan feature set.
- `enableSupport` (string, optional) — When set to **true**, then customer support is provided as part of the account plan.
- `includedSeats` (string, optional) — The number of seats (users) included.
- `otherDiscountPercent` (string, optional)
- `paymentCycle` (string, optional) — The payment cycle associated with the plan. The possible values are: Monthly or Annually.
- `paymentMethod` (string, optional)
- `perSeatPrice` (string, optional) — The per seat price for the plan.
- `planClassification` (string, optional) — Identifies the type of plan. Examples include Business, Corporate, Enterprise, Free.
- `planFeatureSets` (list of featureSet, optional) — A complex type that sets the feature sets for the account.
- `planId` (string, optional) — The DocuSign Plan ID for the account.
- `planName` (string, optional) — The name of the Billing Plan.
- `seatDiscounts` (list of seatDiscount, optional)
- `supportIncidentFee` (string, optional) — The support incident fee charged for each support incident.
- `supportPlanFee` (string, optional) — The support plan fee charged for this plan.

### appStoreProduct

Contains information about an APP store product.

- `marketPlace` (string, optional)
- `productId` (string, optional) — The Product ID from the AppStore.

### currencyPlanPrice

- `currencyCode` (string, optional) — Specifies the ISO currency code for the account.
- `currencySymbol` (string, optional) — Specifies the currency symbol for the account.
- `perSeatPrice` (string, optional)
- `supportedCardTypes` (creditCardTypes, optional)
- `supportIncidentFee` (string, optional) — The support incident fee charged for each support incident.
- `supportPlanFee` (string, optional) — The support plan fee charged for this plan.

### featureSet

- `currencyFeatureSetPrices` (list of currencyFeatureSetPrice, optional) — A complex type that contains alternate currency values that are configured for this plan feature set.
- `envelopeFee` (string, optional)
- `featureSetId` (string, optional) — A unique ID for the feature set.
- `fixedFee` (string, optional)
- `is21CFRPart11` (string, optional) — When set to **true**, indicates that this module is enabled on the account.
- `isActive` (string, optional)
- `isEnabled` (string, optional) — Specifies whether the feature set is actively enabled as part of the plan.
- `name` (string, optional)
- `seatFee` (string, optional) — An incremental seat cost for seat-based plans. Only valid when isEnabled for the feature set is set to true.

### seatDiscount

- `beginSeatCount` (string, optional) — Reserved: TBD
- `discountPercent` (string, optional)
- `endSeatCount` (string, optional) — Reserved: TBD

### creditCardTypes

- `cardTypes` (list of string, optional) — An array containing supported credit card types.

### currencyFeatureSetPrice

- `currencyCode` (string, optional) — Specifies the alternate ISO currency code for the account.
- `currencySymbol` (string, optional) — Specifies the alternate currency symbol for the account.
- `envelopeFee` (string, optional) — An incremental envelope cost for plans with envelope overages (when `isEnabled` is set to **true**.)
- `fixedFee` (string, optional) — Specifies a one-time fee associated with the plan (when `isEnabled` is set to **true**.)
- `seatFee` (string, optional) — Specifies an incremental seat cost for seat-based plans (when `isEnabled` is set to **true**.)

## Examples

**Response**

```json
{
  "billingPlan": {
    "appStoreProducts": [
      {
        "marketPlace": "string",
        "productId": "string"
      }
    ],
    "currencyPlanPrices": [
      {
        "currencyCode": "string",
        "currencySymbol": "string",
        "perSeatPrice": "string",
        "supportedCardTypes": {
          "cardTypes": [
            "string"
          ]
        },
        "supportIncidentFee": "string",
        "supportPlanFee": "string"
      }
    ],
    "enableSupport": "string",
    "includedSeats": "string",
    "otherDiscountPercent": "string",
    "paymentCycle": "string",
    "paymentMethod": "string",
    "perSeatPrice": "string",
    "planClassification": "string",
    "planFeatureSets": [
      {
        "currencyFeatureSetPrices": [
          {
            "currencyCode": "string",
            "currencySymbol": "string",
            "envelopeFee": "string",
            "fixedFee": "string",
            "seatFee": "string"
          }
        ],
        "envelopeFee": "string",
        "featureSetId": "string",
        "fixedFee": "string",
        "is21CFRPart11": "string",
        "isActive": "string",
        "isEnabled": "string",
        "name": "string",
        "seatFee": "string"
      }
    ],
    "planId": "string",
    "planName": "string",
    "seatDiscounts": [
      {
        "beginSeatCount": "string",
        "discountPercent": "string",
        "endSeatCount": "string"
      }
    ],
    "supportIncidentFee": "string",
    "supportPlanFee": "string"
  },
  "successorPlans": [
    {
      "appStoreProducts": [
        {
          "marketPlace": "string",
          "productId": "string"
        }
      ],
      "currencyPlanPrices": [
        {
          "currencyCode": "string",
          "currencySymbol": "string",
          "perSeatPrice": "string",
          "supportedCardTypes": {
            "cardTypes": [
              "string"
            ]
          },
          "supportIncidentFee": "string",
          "supportPlanFee": "string"
        }
      ],
      "enableSupport": "string",
      "includedSeats": "string",
      "otherDiscountPercent": "string",
      "paymentCycle": "string",
      "paymentMethod": "string",
      "perSeatPrice": "string",
      "planClassification": "string",
      "planFeatureSets": [
        {
          "currencyFeatureSetPrices": [
            {
              "currencyCode": "string",
              "currencySymbol": "string",
              "envelopeFee": "string",
              "fixedFee": "string",
              "seatFee": "string"
            }
          ],
          "envelopeFee": "string",
          "featureSetId": "string",
          "fixedFee": "string",
          "is21CFRPart11": "string",
          "isActive": "string",
          "isEnabled": "string",
          "name": "string",
          "seatFee": "string"
        }
      ],
      "planId": "string",
      "planName": "string",
      "seatDiscounts": [
        {
          "beginSeatCount": "string",
          "discountPercent": "string",
          "endSeatCount": "string"
        }
      ],
      "supportIncidentFee": "string",
      "supportPlanFee": "string"
    }
  ]
}
```